<div *ngIf="treeNode && treeNode.visible()">
  <div
    class="node"
    (click)="toggleFold()"
    [class]="getStyle(treeNode.type)"
    pDraggable="caseitems"
    (onDragStart)="dragStart(treeNode)"
    [class.used]="treeNode.used"
  >
    <div class="statement full" [innerHtml]="treeNode.label"></div>
    <div class="type">{{ treeNode.type }} - {{ treeNode.used }}</div>
  </div>

  <div *ngIf="!folded" class="children">
    <app-foldable-tree-node
      *ngFor="let child of treeNode.children"
      [treeNode]="child"
    ></app-foldable-tree-node>
  </div>
</div>
